@charset "utf-8";
/* CSS Document */
main {
  background-color: #fff9e6;
}
.first-view {
  height: calc(100vh - 110px); /*100vh(トップ画像の幅)から100px(ヘッダーの幅)を引いた高さにする計算式*/
  background-image: url("../img/index/mochi-HOME.png");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  display: flex;
  align-items: center;
}
/*about section*/
.about {
  width: 100%;
  max-width: 1200px; /*テキストエリアの幅が1200pxになった*/
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 80px;
  margin-top: 100px;
}
.about h2 {
  font-family: 'RocknRoll One', sans-serif; /*書いたもの順で読み込む。代わりは二番目*/
  font-size: 34pt;
  line-height: 72px;
  /*margin-bottom: 20px;でも下記margin-top: 20px;と同じ効果を得られる*/
}
.about-h2 {
  margin-left: 130px;
  background: linear-gradient(transparent 60%, #cadaff 60%);
  position: relative;
}
.tree {
  position: absolute;
  top: 880px;
  left: 20%;
  animation-name: fadeUpAnime;
  animation-duration: 0.7s;
  animation-delay: 0.6s;
  animation-fill-mode: forwards;
  opacity: 0;
}
.about p {
  font-weight: bold;
  font-size: 20pt;
  line-height: 30pt
}
.about-text-box {
  margin: 80px 130px 0;
  width: auto;
  height: auto;
  background-color: #cadaff;
  border-radius: 20px;
  padding: 50px 20px;
  text-align: center;
}
/*ボタンCSS*/
.link-button-area {
  margin-top: 80px;
  text-align: center;
}
/*表示するテキストが切り替わる*/
.link-button {
  /*テキストの基点とするためrelativeを指定*/
  position: relative;
  /*ボタンの形状*/
  width: 100px;
  height: 70px;
  background-color: #2857c4;
  border-radius: 25px;
  min-width: 210px;
  padding: 20px;
  text-align: center;
  display: inline-block;
  text-decoration: none;
  color: #fff;
  outline: none;
  /*アニメーションの指定*/
  transition: all .2s;
  font-weight: bold;
  font-size: 18pt;
}
/*hoverした際の変化*/
.link-button:hover {
  background-color: #8c030e;
  color: #fff;
}
.link-button span {
  /*絶対配置でテキストの位置を決める*/
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  /*アニメーションの指定*/
  transition: all .5s;
  /*ブロック要素にしてテキスト折り返しなし*/
  display: block;
  white-space: nowrap;
}
/*差し替わるテキストの設定*/
.link-button span:nth-child(2) {
  opacity: 0; /*透過0に*/
}
/*hoverするとテキストが入れ替わる設定*/
.link-button:hover span:nth-child(1) {
  opacity: 0; /*透過0に*/
}
.link-button:hover span:nth-child(2) {
  opacity: 1; /*不透明に*/
}
.emoji {
  font-family: 'Noto Color Emoji', sans-serif;
  font-size: 26pt
}
/*NEWS CSS*/
.news {
  width: 100%;
  max-width: 800px; /*テキストエリアの幅が1200pxになった*/
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 80px;
  margin-top: 100px;
}
.news-list {
  list-style: none outside;
  margin: 0;
  padding: 50px;
  background-color: #FFFFFF;
  border-radius: 30px;
  font-size: 18pt;
}
.news-list .item a {
  display: flex;
  flex-wrap: wrap;
  flex-wrap: nowrap;
  text-decoration: none;
  color: #333;
  border-bottom: 2px dashed #CCC;
  padding: 40px 20px 20px;
}
.news-list .item:first-child a {
  border-top: 2px dashed #CCC;
}
.news-list .item .date {
  margin: 0;
  min-width: 140px;
  font-size: 16pt;
  color: #999;
  padding: 0 20px 0 0;
}
.news-list .item {
  margin: 0;
  min-width: 140px;
  padding: 0 20px 0 0;
}
.news-list .item .news-title {
  margin: 0;
  width: 100%;
}
.news-list .item a:hover .news-title {
  color: #8c030e;
}
/*グッズグリッド*/
.grid-item {
  max-width: 80%;
  margin-left: auto;
  margin-right: auto;
  padding-top: 100px;
  display: grid;
  grid-template-columns: repeat(auto-fit, 300px 300px 300px);
  grid-template-rows: 170px 170px 170px 170px;
  gap: 20px;
  justify-content: center;
  flex-shrink: 0;
}
.grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s; /*ふわっと変化する*/
}
.grid-item :hover {
  transform: scale(1.3, 1.3);
}
.item01 {
  grid-column: 1/2;
  grid-row: 1/3;
}
.item02 {
  grid-column: 2/4;
  grid-row: 1/3;
}
.item03 {
  grid-column: 1/3;
  grid-row: 3/5;
}
.item04 {
  grid-column: 3/4;
  grid-row: 3/5;
}
/*お問い合わせCSS*/
.contact-button-area {
  text-align: center;
  margin-top: 200px;
  padding-bottom: 150px;
	position: relative;
}
.contact-button {
  display: inline-block;
  min-width: 200px;
	line-height: 300px;
width: 300px;
	height: 300px;
  border-radius: 50%; /*角の丸み*/
  font-size: 38px;
  color: #0b0c0d;
	background-color: #CADAFF;
}
.contact-button:hover {
  background-color: #8C030E;
  color: #fff;
  transition: 0.3s;
}
@media (max-width: 800px) {
  .news-list .item a {
    flex-wrap: wrap;
  }
  .news-list .item .date {
    min-width: 100px;
  }
  .news-list .item .news-title {
    margin-top: 10px;
  }
	  .first-view {
    height: calc(100vh - 50px);
		    background-image: url("../img/index/mochi-HOMEsp.png");
    align-items: flex-start;
  }
	.grid-item {
  max-width: 30%;
  grid-template-columns: repeat(auto-fit, 80px 80px 80px);
  grid-template-rows: 100px 100px 100px 100px;
	}
	.grid-item img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transition: 0.5s; /*ふわっと変化する*/
}
.about {
  max-width: 800px; /*テキストエリアの幅が1200pxになった*/
}
.about h2 {
  font-size: 17pt;
  line-height: 72px;
  /*margin-bottom: 20px;でも下記margin-top: 20px;と同じ効果を得られる*/
}
.about-h2 {
  margin-left: 0px;
  background: linear-gradient(transparent 60%, #cadaff 60%);
  position: relative;
}
.tree {
	width: 30%;
	height: auto;
  position: absolute;
  top: 950px;
  left: 0%;
  animation-name: fadeUpAnime;
  animation-duration: 0.7s;
  animation-delay: 0.6s;
  animation-fill-mode: forwards;
  opacity: 0;
}
.about p {
  font-weight: bold;
  font-size: 11pt;
  line-height: 18pt
}
	.about-text-box {
  margin: 10px 20px 0;
  width: auto;
  height: auto;
  background-color: #cadaff;
  border-radius: 20px;
  padding: 50px 10px;
  text-align: center;
}
	.news {
  width: 90%;
  max-width: 700px; /*テキストエリアの幅が1200pxになった*/
  margin-left: auto;
  margin-right: auto;
  padding-bottom: 60px;
  margin-top: 100px;
}
.news-list {
  list-style: none outside;
  margin: 0;
  padding: 50px;
  background-color: #FFFFFF;
  border-radius: 30px;
  font-size: 12pt;
}
	.news-list .item a {
		padding: 10px 20px 20px;
	}
}